# Clientkit

[![Build Status](https://travis-ci.org/firstandthird/clientkit.svg?branch=master)](https://travis-ci.org/firstandthird/clientkit)

A UI framework for building client projects efficiently and effectively.

## Table of Contents

- [Requirements](#requirements)
- [Bugs and feature requests](#bugs-and-feature-requests)
- [Contributing](#contributing)
- [Copyright](#copyright)

## Requirements

When working on clientkit make sure you have the following tools installed:

   - For your editor: [eslint](http://eslint.org/), [stylelint](https://stylelint.io/), [editorconfig](http://editorconfig.org/)
   - [Nodenv](http://ekalinin.github.io/nodeenv/) or similar (should match the version in .node-version)

Project has been setup to be run and debug from inside VS Code, but can be run on other editors as well.

## Bugs and feature requests

Have a bug or a feature request? Please first read the [Contributing documentation](https://github.com/firstandthird/clientkit/blob/master/CONTRIBUTING.md) and search for existing and closed issues. If your problem or idea is not addressed yet, [please open a new issue](https://github.com/firstandthird/clientkit/issues/new).

## Contributing

Contribution is a perfect way to help advance the project.  Please read the [contributing guidelines](https://github.com/firstandthird/clientkit/blob/master/CONTRIBUTING.md) before getting started.

Editor preferences are available in the [editor config](https://github.com/firstandthird/clientkit/blob/master/.editorconfig) for use in common text editors. Read more and download plugins at <http://editorconfig.org>.

### Getting Started

1. Clone the repo: `git clone https://github.com/firstandthird/clientkit.git`.
2. `cd clientkit`
3. Install build dependencies: `npm install`
4. Start the build process: `npm start`

## Copyright

© 2016. First and Third, Inc. Maintained by [@firstandthird](https://github.com/orgs/firstandthird/people).
